Public Member Functions | Private Member Functions | Private Attributes | List of all members
libebook::FictionBook2BodyContext Class Reference

`#include <FictionBook2BlockContext.h>`

Inheritance diagram for libebook::FictionBook2BodyContext:

## Public Member Functions
| FictionBook2BodyContext (FictionBook2ParserContext *parentContext, FictionBook2Collector *collector)
Public Member Functions inherited from libebook::FictionBook2NodeContextBase
| FictionBook2NodeContextBase (FictionBook2ParserContext *parentContext, FictionBook2Collector *collector=nullptr)
Public Member Functions inherited from libebook::FictionBook2ParserContext
| FictionBook2ParserContext (FictionBook2ParserContext *parentContext, FictionBook2Collector *collector=nullptr)
| Create a new context with `parentContext` as parent.
FictionBook2XMLParserContext * | leaveContext () const override
| Destroy this context and return parent.
FictionBook2Collector * | getCollector () const
| Get the collector.
FictionBook2ParserContext * | getParentContext () const
| Get the parent context.
Public Member Functions inherited from libebook::FictionBook2XMLParserContext
virtual | ~FictionBook2XMLParserContext ()=0

## Private Member Functions
FictionBook2XMLParserContext * | element (const FictionBook2TokenData &name, const FictionBook2TokenData &ns) override
| Create a context for parsing a child element.
void | startOfElement () override
| Signalize the start of an element.
void | endOfElement () override
| Signalize the end of an element.
void | attribute (const FictionBook2TokenData &name, const FictionBook2TokenData *ns, const char *value) override
| Process an attribute.

## Private Attributes
boost::optional< std::string > | m_lang

## Constructor & Destructor Documentation

## ◆ FictionBook2BodyContext()

libebook::FictionBook2BodyContext::FictionBook2BodyContext | ( | FictionBook2ParserContext * | parentContext,
|  | FictionBook2Collector * | collector )

## Member Function Documentation

## ◆ attribute()

void libebook::FictionBook2BodyContext::attribute | ( | const FictionBook2TokenData & | name,
|  | const FictionBook2TokenData * | ns,
|  | const char * | value )
| override private virtual

Process an attribute.

Attributes are handled to the current element's context one by one.

Implements libebook::FictionBook2XMLParserContext.

## ◆ element()

FictionBook2XMLParserContext * libebook::FictionBook2BodyContext::element | ( | const FictionBook2TokenData & | name,
|  | const FictionBook2TokenData & | ns )
| override private virtual

Create a context for parsing a child element.

Returns
  A new context or `0` if the child element cannot be handled.

Implements libebook::FictionBook2XMLParserContext.

## ◆ endOfElement()

void libebook::FictionBook2BodyContext::endOfElement | ( |  | ) |
| override private virtual

Signalize the end of an element.

Implements libebook::FictionBook2XMLParserContext.

## ◆ startOfElement()

void libebook::FictionBook2BodyContext::startOfElement | ( |  | ) |
| override private virtual

Signalize the start of an element.

This can be used if initialization of the context needs virtual function calls.

Implements libebook::FictionBook2XMLParserContext.

## Member Data Documentation

## ◆ m_lang

boost::optional<std::string> libebook::FictionBook2BodyContext::m_lang
| private

Referenced by attribute(), and element().

The documentation for this class was generated from the following files:

- FictionBook2BlockContext.h
- FictionBook2BlockContext.cpp